<? $this->headScript()->appendFile('/js/tooltip.js')->appendFile('/js/scrollspy.js');?>
<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	
	for ( $i = 0; $i < ceil(count($this->escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['perRow'], $config['perRow']);
	}

	foreach ( $rows as $i => $escorts ) {
		foreach ( $escorts as $j => $escort ) {
			if ( is_null($escort) ) {
				unset($rows[$i][$j]);
			}
		}
	}
	
	$list_type = 'xl'; //'grid';
	$grid_btn_class = 'grid_btn'; //'grid_btn_act';
	$list_btn_class = 'list_btn';
	$xl_btn_class = 'xl_btn_act';
	$thumb_size = 'xl_thumb'; // 'thumb';
	if ( isset($_COOKIE['list_type']) && $_COOKIE['list_type'] ) {
		$list_type = $_COOKIE['list_type'];
		
		if ( $list_type == 'list' ) {
			$grid_btn_class = 'grid_btn';
			$list_btn_class = 'list_btn_act';
			$xl_btn_class = 'xl_btn';
			$thumb_size = 'thumb';
		}
		elseif ( $list_type == 'grid' ) {
			$grid_btn_class = 'grid_btn_act';
			$list_btn_class = 'list_btn';
			$xl_btn_class = 'xl_btn';
			$thumb_size = 'thumb';
		}
		elseif ( $list_type == 'xl' ) {
			$grid_btn_class = 'grid_btn';
			$list_btn_class = 'list_btn';
			$xl_btn_class = 'xl_btn_act';
			$thumb_size = 'xl_thumb';
		}
	}
?>
<div id="premium" class="escorts gl_sw <?= $list_type ?>">
	<div class="legend">
		<div class="i">
			<?= __('premium_escorts') ?>

		</div>
	</div>
	
	<div class="list_grid_switcher">
		<a class="<?= $grid_btn_class ?>" href="#"></a>
		<a class="<?= $xl_btn_class ?>" href="#"></a>
		<a class="<?= $list_btn_class ?>" href="#"></a>
		<div class="clear"></div>
	</div>
	
<? if ( count($rows) > 0 ): ?>
<? $from = 'main_premium_spot'; $DEFINITIONS = Zend_Registry::get('defines'); ?>
<?
$totalCounter = 0;
foreach ( $rows as $i => $row ): ?>
<div class="row <?= ( count($rows) == $i + 1 ) ? 'last' : '' ?>">
<? foreach ( $row as $esc_k => $escort ):

	$totalCounter++;
    $escort = new Model_EscortV2Item($escort) ?>
<div class="escort h prem <?= ( ($esc_k + $i) % 2 ) ? 'even' : 'odd' ?>">
	<div class="photo_wrap">
		<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
		<div class="esc-wrap esc-wrap-style-prem">
			<div class="wrap">
				<div class="image">
					<? if ( $escort->is_new ): ?>
								<span class="new"></span>			
					<? endif ?>

					<? if( $escort->is_suspicious && ! $escort->is_online ): ?>
					<span class="suspicious"></span>
					<? endif; ?>

					<? if ( $this->sort_param == 'newest' ): ?>
						<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_registered) ? $this->t('today_new') : date('d.m.Y', $escort->date_registered) ) ?>
						<? if ( Model_Escorts::VERIFIED_STATUS_VERIFIED != $escort->verified_status ): ?>
							<span class="created"><img alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_activated ?>" /></span>
						<? endif ?>
					<? endif ?>
							
					<? if ( $this->sort_param == 'last-modified' ): ?>
						<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_last_modified) ? $this->t('today_new') : date('d.m.Y', $escort->date_last_modified) ) ?>
						<? if ( Model_Escorts::VERIFIED_STATUS_VERIFIED != $escort->verified_status ): ?>
							<span class="created"><img alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_last_modified ?>" /></span>
						<? endif ?>
					<? endif ?>		

					<? if ( in_array($escort->verified_status, array(Model_Escorts::VERIFIED_STATUS_VERIFIED, Model_Escorts::VERIFIED_STATUS_VERIFIED_RESET)) && ! $escort->is_online ): ?>
					<div class="p100s"></div>
					<? endif; ?>
					
					<? if ( $escort->is_pornstar ): ?>
						<span class="pornstar"></span>
					<? endif ?>

					<? if ( $escort->is_online ): ?>
					<div class="chat_online"></div>
					<? endif; ?>
					
					<? if ( $escort->is_login ): ?>
						<span class="online-now-<?= $this->lang() ?>"></span>
					<? endif ?>

					<span class="premium"></span>
					
					<? if (date('G') >= 0 && date('G') < 6/*true*/ && $escort->is_late_night): ?>
						<span class="ln_sticker"></span>
					<? elseif ($escort->hh_is_active): ?>
						<span class="hh_sticker"></span>
					<? endif; ?>
					
					<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>">
						<img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl($thumb_size) ?>" alt="<?= $escort->alt ?>" class="escort-thumb" />
					</a>
					<? if(isset($this->escorts_video[$escort->id])):
						$cur_escort = $this->escorts_video[$escort->id]; ?>
						<div onclick="AjaxEscortListVideo(<?= $escort->id ?> , '<?=$this->vconfig?>/<?= $escort->id ?>/<?=$cur_escort->video ?>','<?=$cur_escort->photo ?>','<?=$cur_escort->width ?>-<?=$cur_escort->height?>')" class="list_video_btn">
							<?= __('Watch_My_Video') ?>
						</div>
					<? endif; ?>
				</div>
			</div>
		</div>
		<div class="info" style="position: relative;">	
			<? if( $this->allowChat() && $escort->is_login ): ?>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="jqac.arrowchat.chatWith('<?= $escort->user_id ?>');" class="chat_1_1"></a>
				<? else: ?>
					<a href="#" class="chat_1_1 chat_login"></a>
				<? endif; ?>
			<? elseif ($this->allowChat2() && $escort->is_chat_online): ?>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="chat.chatWith('<?= $escort->user_id ?>');" class="chat_1_1"></a>
				<? else: ?>
					<a href="#" class="chat_1_1 chat_login"></a>
				<? endif; ?>
			<? endif; ?>
			<div class="city">
				<? if (isset($escort->heading_escort) && $escort->heading_escort): ?>
					<?= $escort->heading_escort ?>
				<? else: ?>
					<?= __('escort') ?> <?= $escort->city ?>
				<? endif; ?>
			</div>
			<? if($escort->comment_count > 0 && !$escort->disabled_comments):?>
				<div class="comment_icon"></div>
				<div class="com_rev_icon_count"><?= $escort->comment_count ?></div>
				<div class="comment_count"><?= $escort->comment_count ?></div>
			<? endif ?>
			<? if($escort->review_count > 0 && !$escort->disabled_reviews):?>
				<div class="review_icon"></div>
				<div class="com_rev_icon_count"><?= $escort->review_count ?></div>
				<div class="review_count"><?= $escort->review_count ?></div>
			<? endif ?>
			<?	/*
			<? if ( $escort->incall_type ): ?>
			<span class="incall"></span>
			<? endif ?>

			<? if ( $escort->outcall_type ): ?>
			<span class="outcall"></span>
			<? endif ?>
			*/

				$rate_str = '';
				$curr = '';
				if ( $escort->outcall_price ) {
					$rate_str = /*$DEFINITIONS['currency_symbols'][$escort->outcall_currency] . ' ' .*/ $escort->outcall_price;
					$curr = $DEFINITIONS['currency_symbols'][$escort->outcall_currency];
				}
				if ( $escort->incall_price ) {
					$rate_str = /*$DEFINITIONS['currency_symbols'][$escort->incall_currency] . ' ' .*/ $escort->incall_price;
					$curr = $DEFINITIONS['currency_symbols'][$escort->incall_currency];
				}
			?>
			<? if ( strlen($rate_str) > 0 ): ?>
				<? /*<span class="price"><?= '1h ' . $curr . ' ' . $rate_str ?></span>*/ ?>
				<span class="price">&nbsp;</span>
			<? else: ?>
				<span class="price">&nbsp;</span>
			<? endif; ?>

			<div class="clear"></div>
			<? /*
			<? if (date('G') >= 0 && date('G') < 6 && $escort->is_late_night): ?>
				<div class="<?= $this->lang() ?>_now_open_sticker"></div>
			<? else: ?>
			*/?>
				<? if ( strlen($escort->slogan) > 0 ): ?>
					<div class="slogan">
						<?= $escort->slogan ?>
					</div>
				<? //endif; ?>
			<? endif; ?>
				<div class="l_date_modified">
					<? /*__('last_updated_date')
					<img src="/img/modified.png" />
					<p>*/ ?><?= date("d.m.Y", $escort->date_last_modified) ?><? /*</p>*/?>
				</div>
	</div>
	</div>
	<div class="l_price">
		<? if ( strlen($rate_str) > 0 ): ?>
			-
			<? /*
			<img src="/img/parheure.png" /><span><?= ' ' . $rate_str ?></span>
			 <p><?= __('per_hour'); ?></p> */ ?>
		<? else: ?>
			-
		<? endif; ?>		
	</div>
	<div class="l_slogan_text">
		<? if ( strlen($escort->slogan) > 0 ): ?>			
			<?= $escort->slogan ?>
		<? else: ?>
			-
		<? endif; ?>
	</div>
	<div class="l_about_text">
		<? if ( strlen($escort->about) > 0 ): ?>			
			<? $about_text = strip_tags($escort->about); ?>
			
			<? if ( mb_strlen($about_text) > 200 ): ?>
				<?= _shorten($about_text) . " ..." ?>
			<? else: ?>
				<?= $about_text ?>
			<? endif; ?>
		<? else: ?>
			-
		<? endif; ?>
	</div>
	<div class="clear"></div>
</div>
		<? endforeach ?>
	</div>
	<? endforeach ?>
<? else: ?>
	<? if ( ! count($this->premiums) ): ?>
	<h2 class="no-escort"><?= $this->t('no_escorts_found') ?></h2>
	<? endif; ?>
	<div class="clear"></div>
<? endif; ?>
	
	<div class="clear"></div>
</div>

<span class="go-top gt-<?= $this->lang() ?>"></span>